/* $Header: /ext/yav/catty/xpx/RCS/cursor.c,v 1.6 1994/02/02 08:19:49 yav Exp $
 */

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <stdio.h>

#include "xpx.h"
#include "extern.h"
#include "cursdef.h"

#define BDW 1
#define CURSW	36
#define CURSH	18

char *topx_strfunc(p)
     MENU *p;
{
  sprintf(p->str, "%d", imgofsx);
  return p->str;
}

char *topy_strfunc(p)
     MENU *p;
{
  sprintf(p->str, "%d", imgofsy);
  return p->str;
}

char *curx_strfunc(p)
     MENU *p;
{
  sprintf(p->str, "%d", curx);
  return p->str;
}

char *cury_strfunc(p)
     MENU *p;
{
  sprintf(p->str, "%d", cury);
  return p->str;
}

MENU cursmenu[] = {
  {
    CURS_TOPX,
    0, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    0, 0, BDW,
    topx_strfunc, "topx"},
  {
    CURS_TOPY,
    CURSW+BDW, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    0, 0, BDW,
    topy_strfunc, "topy"},
  {
    CURS_CURX,
    (CURSW+BDW)*2, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    0, 0, BDW,
    curx_strfunc, "curx"},
  {
    CURS_CURY,
    (CURSW+BDW)*3, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    0, 0, BDW,
    cury_strfunc, "cury"},
  {
    -1,
    0, 0, 0, 0,
    0, 0, 0,
    0, 0, 0,
    NULL, ""}};

create_cursor_window(x, y)
{
  menuwin_create(cursmenu, win, x, y);
}

close_cursor_window()
{
  menuwin_destroy(cursmenu);
}

cursor_expose(ev)
     XEvent *ev;
{
  menuwin_expose(cursmenu, ev);
}


cursor_press(ev)
     XEvent *ev;
{
}

cursor_enter(ev)
     XEvent *ev;
{
}

/* End of file */
