/* $Header: /ext/yav/catty/xpx/RCS/xpx.h,v 1.8 1994/02/02 07:12:56 yav Exp $
 */

#define MAXPALSET 16
#define MAXCOLSET 16

#define MENUX 8
#define MENUY 4
#define PALSETX 8
#define PALSETY 54
#define IMGX 140
#define IMGY 80

#ifndef MAXPATHLEN
#define MAXPATHLEN 1024
#endif

/* coltbl bitmask */
#define CM_ALLOCED	(1<<0)
#define CM_PRIVATE	(1<<1)
#define CM_UPDATING	(1<<2)
#define CM_UPDATED	(1<<3)
#define CM_REQUEST	(1<<4)

typedef struct {
  unsigned char red;
  unsigned char green;
  unsigned char blue;
} COL;  

typedef struct {
  int n;			/* menu number (-1:end mark) */
  int x, y, w, h;		/* Geometry */
  Window win;			/* Window id */
  unsigned long im;		/* Inputmask */
  int gr;			/* Gravity */
  int cursor;			/* cursor */
  int mode;			/* bit0:bold bit1:highlight */
  int bdw;			/* boarder width */
  char *(*strfunc)();		/* menu str gen func */
  char str[64];			/* display string (input buffer) */
} MENU;

#define MenuModeMaskOn		(1<<0)
#define MenuModeMaskEnter	(1<<1)
#define MenuModeMaskLeft	(1<<2)
#define MenuModeMaskRight	(1<<3)

/* End of file */
